edu.cmu.pslc.logging

## Interface MessageLogger

- All Known Implementing Classes:
    AbstractMessageLogger, FileLogger, OliDatabaseLogger, OliDiskLogger

      public interface MessageLogger

  Interface for the 3 types of logger.
  Version:
    $Revision: 6000 $
    Last modified by: $Author: alida $
    Last modified on: $Date: 2010-02-26 15:18:28 -0500 (Fri, 26 Feb 2010) $
  Author:
    Alida Skogsholm

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the output stream; this is required.
    `boolean` | `log(Message message)` Logs a message.
    `boolean` | `log(Message message, java.util.Date timeStamp)` Logs a message with a new time stamp.
    `boolean` | `log(java.lang.String authToken, Message message)` Logs a message with an authentication token.
    `boolean` | `log(java.lang.String authToken, Message message, java.util.Date timeStamp)` Logs a message with a new time stamp, and an authentication token.

- - ### Method Detail

    - #### log

          boolean log(Message message)

      Logs a message.
      Parameters:
        `message` - the message to log
      Returns:
        true if log succeeded, false otherwise

    - #### log

          boolean log(java.lang.String authToken,
                    Message message)

      Logs a message with an authentication token.
      Parameters:
        `authToken` - the authentication token needed for authenticated logging (OLI servers)
        `message` - the message to log
      Returns:
        true if log succeeded, false otherwise

    - #### log

          boolean log(Message message,
                    java.util.Date timeStamp)

      Logs a message with a new time stamp.
      Parameters:
        `message` - the message to log
        `timeStamp` - the new time stamp to use
      Returns:
        true if log succeeded, false otherwise

    - #### log

          boolean log(java.lang.String authToken,
                    Message message,
                    java.util.Date timeStamp)

      Logs a message with a new time stamp, and an authentication token.
      Parameters:
        `authToken` - the authentication token needed for authenticated logging (OLI servers)
        `message` - the message to log
        `timeStamp` - the new time stamp to use
      Returns:
        true if log succeeded, false otherwise

    - #### close

          void close()

      Closes the output stream; this is required.

Copyright (c) 2015 - Pittsburgh Science of Learning Center